rte_eth_xstat(3)

NAME
rte_eth_xstat

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint64_t id
uint64_t value

Detailed Description

An Ethernet device extended statistic structure

This structure is used by rte_eth_xstats_get() to provide statistics that are not provided in the generic rte_eth_stats structure. It maps a name ID, corresponding to an index in the array returned by rte_eth_xstats_get_names(), to a statistic value.

Definition at line 1976 of file rte_ethdev.h.

Field Documentation

  uint64_t id
The index in xstats name array.

Definition at line 1977 of file rte_ethdev.h.

  uint64_t value
The statistic counter value.

Definition at line 1978 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.